# std::filesystem::operator/(std::filesystem::path)

From cppreference.com
< cpp‎ | filesystem‎ | path

Defined in header `<filesystem>` |  |
path operator/( const path& lhs, const path& rhs ); |  | (since C++17)

Concatenates two path components using the preferred directory separator if appropriate (see `operator/=` for details).

Effectively returns path(lhs) /= rhs.

This function is not visible to ordinary unqualified or qualified lookup, and can only be found by argument-dependent lookup when std::filesystem::path is an associated class of the arguments. This prevents undesirable conversions in the presence of a using namespace std::filesystem; using-directive.

### Parameters

lhs, rhs | - | paths to concatenate

### Return value

The result of path concatenation.

### Example

Run this code

    #include <iostream>
    #include <filesystem>
    namespace fs = std::filesystem;
    int main() {
        fs::path p = "C:";
        std::cout << "\"C:\" / \"Users\" / \"batman\" == "
                  << p / "Users" / "batman" << '\n';
    }

Possible output:

    "C:" / "Users" / "batman" == "C:Users\\batman"

### Defect reports

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
LWG 3065 | C++17 | allowed concatenating everything convertible to `path` in the presence of a using-directive | made hidden friend

### See also

appendoperator/= | appends elements to the path with a directory separator (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/operator_slash&oldid=107226"